Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.selector
Class Selector

    java.lang.Object
      org.jboss.jms.selector.Selector

All Implemented Interfaces:
  Filter, java.io.Serializable

public class Selector
extends java.lang.Object
implements Filter

This class implements a Message Selector.

Version:
  $Revision: 1.15 $ $Id: Selector.java,v 1.15 2006/04/28 19:52:13 ovidiu Exp $
Author:
  Norbert Lataille, Juha Lindfors, Jason Dillon, Scott Stark, Tim Fox
See Also:
  Serialized Form

Field Summary
`java.util.HashMap` | `identifiers`
`java.lang.Object` | `result`
`java.lang.String` | `selector`

Constructor Summary
`Selector(java.lang.String sel)`

Method Summary
`boolean` | `accept(Routable routable)` Tests whether the routable should be accepted.
`java.lang.String` | `getExpression()`
`static java.lang.Class` | `getSelectorParserClass()` Get the class that implements the ISelectorParser interface to be used by Selector instances.
`static void` | `setSelectorParserClass(java.lang.Class parserClass)` Set the class that implements the ISelectorParser interface to be used by Selector instances.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### selector

    public java.lang.String selector

### identifiers

    public java.util.HashMap identifiers

### result

    public java.lang.Object result

Constructor Detail

### Selector

    public Selector(java.lang.String sel)
             throws InvalidSelectorException

Method Detail

### getSelectorParserClass

    public static java.lang.Class getSelectorParserClass()

  Get the class that implements the ISelectorParser interface to be used by Selector instances.

### setSelectorParserClass

    public static void setSelectorParserClass(java.lang.Class parserClass)

  Set the class that implements the ISelectorParser interface to be used by Selector instances.

  Parameters:
    `parserClass` - the ISelectorParser implementation. This must have a public no-arg constructor.

### getExpression

    public java.lang.String getExpression()

### accept

    public boolean accept(Routable routable)

  Description copied from interface: `Filter`
  Tests whether the routable should be accepted.

  Specified by:
    `accept` in interface `Filter`
  Returns:
    true if the Filter accepts the routable - i.e. let's it pass.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.